Get NFT floor price by token
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/nft/{address}/{token_id}/floor-price \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/nft/{address}/{token_id}/floor-price"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/nft/{address}/{token_id}/floor-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d",
"token_id": "2441",
"floor_price": "0.2176",
"floor_price_usd": "564.24",
"currency": "eth",
"marketplace": {
"name": "blur",
"logo": "https://cdn.moralis.io/marketplaces/blur.png"
},
"last_updated": "2024-08-21T15:59:11.000Z"
}Prices
Floor Price by Token ID
Get the floor price for a specific NFT, defined by its contract and token ID. Refreshes every 30 minutes.
GET
/
nft
/
{address}
/
{token_id}
/
floor-price
Get NFT floor price by token
Authorizations
Path Parameters
The address of the NFT contract
Example:
"0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d"
The token ID of the NFT
Example:
"2441"
Query Parameters
The chain to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f Example:
"eth"
Response
200 - application/json
Returns the token's floor price
The address of the NFT contract
Example:
"0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d"
The token ID of the NFT
Example:
"2441"
The floor price of the contract
Example:
"0.2176"
The floor price of the contract in USD
Example:
"564.24"
The currency of the floor price
Example:
"eth"
The marketplace in which the floor price is present
Show child attributes
Show child attributes
The timestamp of when the floor price was last updated
Example:
"2024-08-21T15:59:11.000Z"

